import _MenuBase = require("./_MenuBase");
import _WidgetBase = require("./_WidgetBase");
import { _WidgetBaseConstructor } from "./_WidgetBase";

interface MenuBar extends _MenuBase {
    baseClass: 'dijitMenuBar';
    popupDelay: number;
    _isMenuBar: true;
    _orient: string[];
    _moveToPopup(evt: Event): void;
    focusChild(item: _WidgetBase): void;
    _onChildDeselect(item: _WidgetBase): void;
    _onLeftArrow(): void;
    _onRightArrow(): void;
    _onDownArrow(): void;
    _onUpArrow(): void;
    onItemClick(item: _WidgetBase, evt: Event): void;
}

interface MenuBarConstructor extends _WidgetBaseConstructor<MenuBar> { }

declare const MenuBar: MenuBarConstructor;
export = MenuBar